Bug 952858 - (CVE-2013-2296) CVE-2013-2296 eucalyptus: Missing Authorization Vulnerability in Walrus
CVE-2013-2296 eucalyptus: Missing Authorization Vulnerability in Walrus
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130416,reported=2...
: Security
Depends On: 953355
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-16 17:24 EDT by Andy Grimm
Modified: 2016-11-07 22:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-17 22:49:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eucalyptus JIRA EUCA-3074 None None None Never

  None (edit)
Description Andy Grimm 2013-04-16 17:24:59 EDT
A flaw was
identified in the way Walrus checks authorization for some operations
on buckets. As a result, an authenticated user does not require
authorization to enable logging and versioning on buckets and
could potentially get access to activity logs for that bucket.

Links:
http://www.eucalyptus.com/eucalyptus-cloud/security/esa-10
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2296
https://eucalyptus.atlassian.net/browse/EUCA-3074
Comment 1 David Jorm 2013-04-17 22:48:26 EDT
Statement:

Not affected. This flaw does not affect the jclouds Eucalyptus API as shipped with JBoss Fuse 6.0.0 and Fuse ESB Enterprise 7.1.0.
Comment 2 David Jorm 2013-04-17 22:49:09 EDT
Created eucalyptus tracking bugs for this issue

Affects: fedora-all [bug 953355]

Note You need to log in before you can comment on or make changes to this bug.